/////////////////////////////////////////////////////////////////////////////
//
// DbNavigator
//
/////////////////////////////////////////////////////////////////////////////
//
// Hakki Dogusan
// dogusanh@tr.net
// http://home.tr.net/dogusanh
//
/////////////////////////////////////////////////////////////////////////////

#ifndef DbNavigator_h_
#define DbNavigator_h_

#include "fx.h"


class DbNavigator : public FXHorizontalFrame
{
    FXDECLARE(DbNavigator)
public:
    DbNavigator(FXComposite *p, FXObject* tgt=NULL, FXSelector sel=0, FXuint opts=0, 
        FXint x=0, FXint y=0, FXint w=0, FXint h=0, 
        FXint pl=0, FXint pr=0,
        FXint pt=0, FXint pb=0,
        FXint hs=0, FXint vs=0 );
    virtual ~DbNavigator();
protected:
    FXObject*   target_;
    FXSelector  message_;
    FXIcon*     insertIcon_;
    FXIcon*     deleteIcon_;
    FXIcon*     postIcon_;
    FXIcon*     cancelIcon_;
    FXIcon*     printIcon_;
    FXIcon*     lastIcon_;
    FXIcon*     nextIcon_;
    FXIcon*     findIcon_;
    FXIcon*     priorIcon_;
    FXIcon*     firstIcon_;
protected:
    DbNavigator(){}
private:
    DbNavigator(const DbNavigator&);
    DbNavigator& operator=(const DbNavigator&);
};


#endif // DbNavigator_h_
