/////////////////////////////////////////////////////////////////////////////
//
// DbQueryDialog
//
/////////////////////////////////////////////////////////////////////////////
//
// Hakki Dogusan
// dogusanh@tr.net
// http://home.tr.net/dogusanh
//
/////////////////////////////////////////////////////////////////////////////

#ifndef DbQueryDialog_h_
#define DbQueryDialog_h_

#include "fx.h"


class DbQueryDialog : public FXDialogBox
{
    FXDECLARE(DbQueryDialog)
public:
    enum {
        ID_FIRST=FXDialogBox::ID_LAST,
        ID_OK,
        ID_LAST
    };
public:
    long onCmdAccept(FXObject* sender, FXSelector sel, void* ptr);
public:
    DbQueryDialog(FXWindow* owner, const FXString& fieldName, const FXString& fieldTitle, FXint fieldType);
    virtual ~DbQueryDialog();
public:
    FXString     getQuery() const { return query_; }
private:
    FXIcon*      okIcon_;
    FXIcon*      cancelIcon_;
    FXString     query_;
    FXString     fieldName_;
    FXString     fieldTitle_;
    FXint        fieldType_;
    FXTextField* valueField_;
    FXComboBox*  operatorCombo_;
private:
    DbQueryDialog(){}
    DbQueryDialog(const DbQueryDialog&);
    DbQueryDialog& operator=(const DbQueryDialog&);
};


#endif // DbQueryDialog_h_
